Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui.wizard
Class WizardTools

public class WizardTools

Field Summary
`static String` | `DEFAULT_SEQUENCE`
`static String` | `DGSF`
`static String` | `DGSF_SENSITIVITY`
`static String` | `DGSF_THRESHOLD`
`static String` | `DGSF_THRESHOLD_VALUE`
`static String` | `DPF`
`static String` | `DPF_SENSITIVITY`
`static String` | `HIGH_SEN`
`static String` | `LOW_SEN`
`static String` | `MATCH`
`static String` | `MATCH_DEFAULT_PROFILE`
`static double` | `MAX_SENSITIVITY_DPF`
`static double` | `MAX_THRESHOLD_DGSF`
`static int` | `MAXIMUM_FREQUENCY`
`static int` | `MAXIMUM_SEQ_NUMBER`
`static String` | `MEDIUM_SEN`
`static double` | `MIN_SENSITIVITY_DPF`
`static double` | `MIN_THRESHOLD_DGSF`
`static String` | `VERY_HIGH_SEN`
`static String` | `VERY_LOW_SEN`

Constructor Summary
`WizardTools()`

Method Summary
`String` | `getDefaultSequence()`
`Hashtable` | `getDragonParameter()`
`Hashtable` | `getSelectedTools()`
`void` | `ResetParam(String toolname)`
`void` | `setDragonParameter(String key, String value)`
`void` | `setSelectedTools(String key, Boolean value)`

Field Detail

### DEFAULT_SEQUENCE

    public static String DEFAULT_SEQUENCE

### DGSF

    public static String DGSF

### DGSF_SENSITIVITY

    public static String DGSF_SENSITIVITY

### DGSF_THRESHOLD

    public static String DGSF_THRESHOLD

### DGSF_THRESHOLD_VALUE

    public static String DGSF_THRESHOLD_VALUE

### DPF

    public static String DPF

### DPF_SENSITIVITY

    public static String DPF_SENSITIVITY

### HIGH_SEN

    public static String HIGH_SEN

### LOW_SEN

    public static String LOW_SEN

### MATCH

    public static String MATCH

### MATCH_DEFAULT_PROFILE

    public static String MATCH_DEFAULT_PROFILE

### MAX_SENSITIVITY_DPF

    public static double MAX_SENSITIVITY_DPF

### MAX_THRESHOLD_DGSF

    public static double MAX_THRESHOLD_DGSF

### MAXIMUM_FREQUENCY

    public static int MAXIMUM_FREQUENCY

### MAXIMUM_SEQ_NUMBER

    public static int MAXIMUM_SEQ_NUMBER

### MEDIUM_SEN

    public static String MEDIUM_SEN

### MIN_SENSITIVITY_DPF

    public static double MIN_SENSITIVITY_DPF

### MIN_THRESHOLD_DGSF

    public static double MIN_THRESHOLD_DGSF

### VERY_HIGH_SEN

    public static String VERY_HIGH_SEN

### VERY_LOW_SEN

    public static String VERY_LOW_SEN

Constructor Detail

### WizardTools

    public WizardTools()

Method Detail

### getDefaultSequence

    public String getDefaultSequence()

### getDragonParameter

    public Hashtable getDragonParameter()

### getSelectedTools

    public Hashtable getSelectedTools()

### ResetParam

    public void ResetParam(String toolname)

### setDragonParameter

    public void setDragonParameter(String key, String value)

### setSelectedTools

    public void setSelectedTools(String key, Boolean value)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.util.Hashtable

to Class java.util.Hashtable

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM